> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yourflexpay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get QR transaction data by reference



## OpenAPI

````yaml /openapi/sso.openapi.json get /sso/qr/{reference}
openapi: 3.0.3
info:
  title: Wallet SSO API
  version: 1.0.0
  description: OpenAPI specification for the Wallet service API.
servers:
  - url: https://staging-api.yourflexpay.com/v2
    description: Staging
  - url: https://sandbox-api.yourflexpay.com/v2
    description: Sandbox
  - url: https://api.yourflexpay.com/v2
    description: Live
security:
  - PartnerIdHeader: []
    PartnerApiKeyHeader: []
tags:
  - name: SSO Auth
  - name: SSO Wallet
  - name: SSO Transaction
  - name: SSO Payment Request
  - name: SSO PayTag
  - name: SSO QR
  - name: SSO Beneficiary
paths:
  /sso/qr/{reference}:
    get:
      tags:
        - SSO QR
      summary: Get QR transaction data by reference
      parameters:
        - in: path
          name: reference
          required: true
          schema:
            type: string
      responses:
        '200':
          description: QR transaction data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ITransactionQr'
      security:
        - ClientIdHeader: []
          ApiKeyHeader: []
          BearerAuth: []
components:
  schemas:
    ITransactionQr:
      type: object
      required:
        - Tag
        - Name
        - Email
        - Type
        - Amount
      properties:
        Tag:
          type: string
        Name:
          type: string
        Email:
          type: string
        Type:
          type: string
          enum:
            - AdminAuth
            - Customer
            - Merchant
            - MerchantUser
            - Partner
        Amount:
          type: number
        HostID:
          type: number
        QrType:
          type: string
          enum:
            - P2P Transaction
            - Partner Transaction
            - Split Transaction
            - Flex Terminal Transaction
            - Partner Terminal Transaction
        Reference:
          type: string
        Description:
          type: string
        Metadata:
          type: object
          additionalProperties: true
        Timestamp:
          type: number
        VirtualAccount:
          $ref: '#/components/schemas/DynamicVirtualAccount'
        Payment:
          $ref: '#/components/schemas/TransactionDetail'
    DynamicVirtualAccount:
      type: object
      required:
        - AccountName
        - AccountNumber
        - BankName
        - Reference
      properties:
        AccountName:
          type: string
        AccountNumber:
          type: string
        BankName:
          type: string
        Reference:
          type: string
        ExpiresAt:
          type: string
          nullable: true
    TransactionDetail:
      type: object
      additionalProperties: true
  securitySchemes:
    ClientIdHeader:
      type: apiKey
      in: header
      name: x-client-id
    ApiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````